Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.client
Class Advice

    java.lang.Object
      org.mortbay.cometd.client.Advice

    public class Advice

extends java.lang.Object

Advice Implementation of advice field from Bayeux message.

Field Summary
`static int` | `__RECONNECT_HANDSHAKE`
`static int` | `__RECONNECT_NONE`
`static int` | `__RECONNECT_RETRY`

Constructor Summary
`Advice(java.util.Map adviceField)`

Method Summary
`java.lang.String[]` | `getHosts()`
`long` | `getInterval()`
`boolean` | `isMultipleClients()`
`boolean` | `isReconnectHandshake()` The server has terminated any prior connection status and the client MUST reconnect with a /meta/handshake.
`boolean` | `isReconnectNone()` Hard failure for the connect attempt.
`boolean` | `isReconnectRetry()` A client MAY attempt to reconnect with a /meta/connect after the interval (as defined by "interval" advice or client-default backoff), and with the same credentials.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __RECONNECT_RETRY

    public static final int __RECONNECT_RETRY

See Also:
  Constant Field Values

### __RECONNECT_HANDSHAKE

    public static final int __RECONNECT_HANDSHAKE

See Also:
  Constant Field Values

### __RECONNECT_NONE

    public static final int __RECONNECT_NONE

See Also:
  Constant Field Values

Constructor Detail

### Advice

    public Advice(java.util.Map adviceField)

Method Detail

### isReconnectRetry

    public boolean isReconnectRetry()

  A client MAY attempt to reconnect with a /meta/connect after the interval (as defined by "interval" advice or client-default backoff), and with the same credentials.

  Returns:

### isReconnectHandshake

    public boolean isReconnectHandshake()

  The server has terminated any prior connection status and the client MUST reconnect with a /meta/handshake. A client MUST NOT automatically retry if handshake advice has been received.

  Returns:

### isReconnectNone

    public boolean isReconnectNone()

  Hard failure for the connect attempt. Do not attempt to reconnect at all. A client MUST respect reconnect advice of none and MUST NOT automatically retry or handshake.

  Returns:

### getInterval

    public long getInterval()

### isMultipleClients

    public boolean isMultipleClients()

### getHosts

    public java.lang.String[] getHosts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.